﻿using System;
using System.Web.UI;

namespace TestProject
{
    /// <summary>
    /// 메인 페이지
    /// </summary>
    public partial class MainPage : Page
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Protected

        #region 페이지 로드시 처리하기 - Page_Load(sender, e)

        /// <summary>
        /// 페이지 로드시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        protected void Page_Load(object sender, EventArgs e)
        {
            Response.Expires = -1; // 현재 페이지를 매번 새로 읽는다.

            Response.Buffer = true; // 버퍼링을 사용한다.

            Response.Write($"[1] {DateTime.Now.ToString("HH:mm:ss")}<br />");

            Response.Flush(); // 버퍼의 내용을 출력한다.

            Response.Write($"[2] {DateTime.Now.ToString("HH:mm:ss")}<br />");

            Response.Clear(); // 버퍼의 내용을 지운다.

            Response.Write($"[3] {DateTime.Now.ToString("HH:mm:ss")}<br />");

            Response.End(); // 출력을 종료한다.

            Response.Write($"[4] {DateTime.Now.ToString("HH:mm:ss")}<br />");
        }

        #endregion
    }
}